all messages for Guix-related lists mirrored at yhetil.org
 help / color / mirror / code / Atom feed
blob 51f020c5d3aab4a4b6dcd7f9d5552071843db19a 1400 bytes (raw)
name: gnu/packages/patches/libtree-fix-check-non-x86.patch 	 # note: path name is non-authoritative(*)

 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
 
From 061d3ec62707a526a83482e57d202a66f9d776cd Mon Sep 17 00:00:00 2001
From: Ismael Luceno <ismael@iodev.co.uk>
Date: Tue, 23 Aug 2022 19:34:39 +0200
Subject: [PATCH] Test the -m32 and -m64 compiler flags before use

Fixes: https://github.com/haampie/libtree/issues/78
Signed-off-by: Ismael Luceno <ismael@iodev.co.uk>
---
 tests/05_32_bits/Makefile | 20 +++++++++++++++-----
 1 file changed, 15 insertions(+), 5 deletions(-)

diff --git a/tests/05_32_bits/Makefile b/tests/05_32_bits/Makefile
index 2c0bece..5628f42 100644
--- a/tests/05_32_bits/Makefile
+++ b/tests/05_32_bits/Makefile
@@ -3,7 +3,7 @@
 
 LD_LIBRARY_PATH=
 
-.PHONY: clean
+.PHONY: clean check
 
 all: check
 
@@ -21,11 +21,21 @@ exe64: lib64/libx.so
 exe32: lib32/libx.so
 	echo 'extern int a(); int _start(){return a();}' | $(CC) -m32 "-Wl,-rpath,$(CURDIR)/lib64" "-Wl,-rpath,$(CURDIR)/lib32" -o $@ -nostdlib -x c - -Llib32 -lx
 
-check: exe32 exe64
-	../../libtree exe32
-	../../libtree exe64
-
 clean:
 	rm -rf lib32 lib64 exe*
 
 CURDIR ?= $(.CURDIR)
+
+test-flag = 2>/dev/null ${CC} -E /dev/null
+test-end = && echo y || echo n
+support-m32 != ${test-flag} -m32 ${test-end}
+support-m64 != ${test-flag} -m64 ${test-end}
+
+check${support-m32:y=}:: exe32
+	../../libtree exe32
+
+check${support-m64:y=}:: exe64
+	../../libtree exe64
+
+check${support-m32:n=} check${support-m64:n=}::
+	@echo WARNING: test skipped at ${CURDIR}

debug log:

solving 51f020c5d3 ...
found 51f020c5d3 in https://git.savannah.gnu.org/cgit/guix.git

(*) Git path names are given by the tree(s) the blob belongs to.
    Blobs themselves have no identifier aside from the hash of its contents.^

Code repositories for project(s) associated with this external index

	https://git.savannah.gnu.org/cgit/guix.git

This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.